<?php
/**
 * Compatibility hooks
 *
 * For 3rd party plugins/features.
 *
 * @package woondershop-pt
 */

/**
 * WoonderShopCompat class with compatibility hooks
 */
class WoonderShopCompat {

	/**
	 * Runs on class initialization. Adds actions and filters.
	 */
	function __construct() {
		add_action( 'activate_breadcrumb-navxt/breadcrumb-navxt.php', array( $this, 'custom_hseparator' ) );
		add_action( 'wp_enqueue_scripts', array( $this, 'deregister_wpf_select2' ), 25 );
	}

	/**
	 * Set custom separator for NavXT breadcrumbs plugin.
	 */
	function custom_hseparator() {
		add_option( 'bcn_options', array( 'hseparator' => '' ) );
	}

	/**
	 * Firstly, the select2 does not work at all from the first glace.
	 * Secondly, the mobile filters do not work when select2 is loaded because the DOM is copied for mobile filters.
	 */
	function deregister_wpf_select2() {
		wp_deregister_script('wpf-select');
		wp_deregister_style('wpf-select');
	}
}

// Single instance.
$woondershop_compat = new WoonderShopCompat();
