<?php
/**
 * The page title part of the header
 *
 * @package woondershop-pt
 */

$page_header_args = wp_parse_args( WoonderShopHelpers::page_header_args(), array(
	'show_page_header' => true,
	'show_title' => true,
	'style_attr' => '',
	'main_tag' => 'h1',
	'title' => '',
	'subtitle' => '',
) );

if ( ! $page_header_args['show_page_header'] ) {
	return;
}

?>

<div class="page-header" <?php echo ( empty( $page_header_args['style_attr'] ) ) ? '' : 'style="' . esc_attr( $page_header_args['style_attr'] ) . '"'; ?>>
	<div class="container">

	<?php
		if ( $page_header_args['show_title'] ) {
			printf( '<%1$s class="page-header__title">%2$s</%1$s>', tag_escape( $page_header_args['main_tag'] ), wp_kses_post( $page_header_args['title'] ) );
		}

		get_template_part( 'template-parts/breadcrumbs', WoonderShopHelpers::get_skin() );
	?>

	</div>
</div>
